

import React, { useState } from 'react';
import { Image, ImageStyle } from 'react-native';

interface Props {
    style:ImageStyle,
    source:any,
}


const AutoSizeImage = (props: Props) => {
    const { style,source} = props
    const [width,setWidth] = useState(parseInt((style.width || 10) + ''))
    const [height,setHeight] = useState(parseInt((style.height || 10) + ''))

    const imageOnload = (e:any)=>{

        let imgWidth = e.nativeEvent?.source?.width || 10;
        let imgHeight = e.nativeEvent?.source?.height || 10;

        if(width){
            setHeight(width * imgHeight / imgWidth)
        }else if(height){
            setWidth(height * imgWidth / imgHeight)
        }else{
            setWidth(imgWidth)
            setHeight(imgHeight)
        }
    }

    return (
        <Image style={{ width:width,height:height , ...style}}  source={source} onLoad={imageOnload} />
    );
}
export default AutoSizeImage